<?php



require "config.php";

require "app.php";

$app = new App();



session_start();



$custom_product = $_SESSION['custom_product'];



if (!empty($_POST)) {



	$cable = $_POST['cable'];

	$length = $_POST['length'];

	$conn_a = $_POST['conn_a'];

	$conn_b = $_POST['conn_b'];

	$notes = $_POST['notes'];

	$c_qty = $_POST['c_qty'];


	if ($_POST['mode'] == 'sendEmail') {



		$mailTemplate = '<p>Email: ' . $_POST['c_email'] . '</p>';
		
		

		$mailTemplate .= '<p>Name: ' . $_POST['c_name'] . '</p>';

		$headers = "From: " . $emailTo . "\r\n";
		$headers .= "Reply-To: ". strip_tags($_POST['c_email']) . "\r\n";
		$headers .= "MIME-Version: 1.0\r\n";
		$headers .= "Content-Type: text/html; charset=UTF-8\r\n";

		ob_start();

			$x_array = $custom_product;

			include 'templates/confirm.tpl.php';

		$mailTemplate .= ob_get_contents();
		
		ob_end_clean();



		mail($emailTo, $emailSubj, $mailTemplate,$headers);



		$_SESSION['custom_product'] = '';		

		header("Location: custom_cables.php?mode=sent");

	}



	

	$error = 0;

	$length[$cable] = round(floatval($length[$cable]), 2);

	

	if ($length[$cable] == 0) {

		$top_message["type"] = "E";

		$top_message["content"] = "Length for cable is wrong.";

		$error = 1;

	}

	

	if ($error == 0) {

		$conn_check = 0;

		$conn_a2 = [];

		foreach($conn_a as $y=>$x) {

			if ($x != '') {

				$conn_check = 1;

				$conn_a2[$y] = $x;

			}

		}

		$conn_a = $conn_a2;

		

		if ($conn_check == 0) {

			$top_message["type"] = "E";

			$top_message["content"] = "No selected connectors A.";

			$error = 1;

		}

		else {

			$conn_b2 = array();

			foreach($conn_b as $y=>$x) {

				if ($x != '') {

					$conn_check = 1;

					$conn_b2[$y] = $x;

				}

			}

			$conn_b = $conn_b2;

			

			if ($conn_check == 0) {

				$top_message["type"] = "E";

				$top_message["content"] = "No selected connectors B.";

				$error = 1;

			}

		}

	}

	

	if ($error == 0) {

		$c_qty = intval($c_qty);

		if ($c_qty == 0) {

			$top_message["type"] = "E";

			$top_message["content"] = "Enter quantity more than 0.";

			$error = 1;

		}

	}

	

	if ($error == 0) {

		// calculation

		$x_array = [];

		$x_array['cable'] = $app->queryFirst("SELECT * FROM custom_products WHERE id='".addslashes($cable)."'");

		$x_array['cable']['c_qty'] = $c_qty;

		$x_array['cable']['notes'] = $notes;

		$x_array['cable']['length'] = $length[$cable];

		foreach($conn_a as $i=>$y) {

			$conn_a2 = $app->queryFirst("SELECT * FROM custom_products WHERE id='".addslashes($i)."'");

			$conn_a2['qty'] = $y;

			$x_array['conn_a'][] = $conn_a2;

		}

		foreach($conn_b as $i=>$y) {

			$conn_b2 = $app->queryFirst("SELECT * FROM custom_products WHERE id='".addslashes($i)."'");

			$conn_b2['qty'] = $y;

			$x_array['conn_b'][] = $conn_b2;

		}

		

		$discount = $app->queryFirst("SELECT discount FROM custom_discounts WHERE quantity1<='$c_qty' AND quantity2>='$c_qty'");



		$x_array['discount'] = $discount['discount'];

		

		$_SESSION['custom_product'] = $x_array;

		header("Location: custom_cables.php?mode=added");

	}

}

elseif ($_GET['mode'] == "added") {



	if (empty($custom_product)) {

		header("Location: custom_cables.php");

	}

	

	$app->assign("confirmation", "Y");

	$app->assign("x_array", $custom_product);

}

elseif ($_GET['mode'] == 'sent') {

	$top_message["content"] = "We got your email and will answer soon.";

}





$xtree1 = $app->query("SELECT * FROM custom_categories ORDER BY id");



if (is_array($xtree1)) {

	$xcat_tree1 = array();

	foreach($xtree1 as $tr) {

		$arrs = explode("/", $tr['category']);

		$xcat_tree1[trim($arrs[0])]['level'] = 1;

		if (count($arrs) == 1) {

			$xcat_tree1[trim($arrs[0])]['name'] = $tr['heading'];

			$xcat_tree1[trim($arrs[0])]['category'] = $tr['category'];

		}

		

		if (!empty($arrs[1])) {

			$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['level'] = 2;

			if (count($arrs) == 2) {

				$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['name'] = $tr['heading'];

				$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['category'] = $tr['category'];

			}

		}

		

		if (!empty($arrs[2])) {

			$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['subcats'][trim($arrs[2])]['level'] = 3;

			if (count($arrs) == 3) {

				$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['subcats'][trim($arrs[2])]['name'] = $tr['heading'];

				$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['subcats'][trim($arrs[2])]['category'] = $tr['category'];

			}

		}

	}

	

	$xprods = $app->query("SELECT * FROM custom_products ORDER BY product DESC");



//print_r($xprods); die;

	

	if (is_array($xprods)) {

		foreach($xprods as $xp) {

			$arrs = explode("/", $xp['category']);

			if (count($arrs) == 1) {

				$xcat_tree1[trim($arrs[0])]['type'] = $xp['product_type'];

				$xcat_tree1[trim($arrs[0])]['products'][] = $xp;

			}

			elseif (count($arrs) == 2) {

				$xcat_tree1[trim($arrs[0])]['type'] = $xp['product_type'];

				$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['products'][] = $xp;

			}

			else {

				$xcat_tree1[trim($arrs[0])]['type'] = $xp['product_type'];

				$xcat_tree1[trim($arrs[0])]['subcats'][trim($arrs[1])]['subcats'][trim($arrs[2])]['products'][] = $xp;

			}

		}

	}

	

//print_r($xcat_tree1);



	$app->assign("xcat_tree", $xcat_tree1);

}





$discounts = $app->query("SELECT * FROM custom_discounts ORDER BY quantity1");

$app->assign("discounts", $discounts);



$app->assign("cable_conns", 0);



if (is_array($custom_product)) {

	$app->assign("cable", $custom_product['cable']['id']);

	$app->assign("cable_conns", $custom_product['cable']['conductors']);

	

	$app->assign("length", $custom_product['cable']['length']);

	$app->assign("notes", stripslashes($custom_product['cable']['notes']));

	$app->assign("c_qty", $custom_product['cable']['c_qty']);

}



$conn_a = [];

if (isset($custom_product['conn_a']) && is_array($custom_product['conn_a'])) {

	foreach($custom_product['conn_a'] as $a) {

		$conn_a[$a['id']] = $a['qty'];

	}

}

$app->assign("conn_a", $conn_a);



$conn_b = [];

if (isset($custom_product['conn_b']) && is_array($custom_product['conn_b'])) {

	foreach($custom_product['conn_b'] as $b) {

		$conn_b[$b['id']] = $b['qty'];

	}

}

$app->assign("conn_b", $conn_b);



$app->assign("top_message", $top_message);



extract($app->getVariables());



include "templates/home.tpl.php";